Discovery - Bug #12053

foreman-server's hostname is not resolvable on provisioning a discovered host via pxeless
10/05/2015 03:10 AM - Sachin Ghai

Status: Closed

Priority: Normal
Assignee:

Category: Discovery plugin
Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman_
discovery/pull/222

Description

foreman server's hostname is not resolvable when we provision a host that was discovered via pxeless. Provisioning stuck always at
where host fetches the install.image from server. Please see the screen shot.

Also, | can see hostname resolution failures on other terminal(Alt+F3). Also some failures related to dbus. I'll close this if it will be a
DNS setup/config issue.

Related issues:
Related to Discovery - Tracker #10294: PXEless discovery feature Closed 04/28/2015

Associated revisions

Revision ac51c0a6 - 10/08/2015 11:06 AM - Lukas Zapletal
Refs #12053 - improved RHEL6 kexec template

History

#1 - 10/05/2015 03:12 AM - Sachin Ghai

- File error_couldnot_resolve _hostname.png added

#2 - 10/05/2015 03:13 AM - Sachin Ghai
- File dbus_error.png added

#3 - 10/05/2015 03:14 AM - Sachin Ghai
- Related to Tracker #10294: PXEless discovery feature added

#4 - 10/05/2015 12:41 PM - Lukas Zapletal
- Status changed from New to Need more information
Sachin, can you log onto the image via ssh or console tty3 and investigate /etc/resolv.conf? Also show nmcli ¢ show primary.
Were you provisioning with or w/o DHCP?
Ideally, attach discovery-debug output please.
#5 - 10/06/2015 04:57 AM - Sachin Ghai
- File discovery_debug.txt added
| can neither login to tty3 and nor can ssh once | triggered the provisioning. However, on discovered host, hostname is resolvable.
[root@fdi ~]# cat /etc/resolv.conf
1. Generated by NetworkManager

search xxxge.lab.xxx.xxx.xxxx.com
nameserver 192.168.100.1
[root@fdi ~]# ping cloud-ge-15
PING cloud-ge-15.xxxqge.lab.xxx.xxx.xxxx.com (192.168.100.1) 56(84) bytes of data.

64 bytes from 192.168.100.1:
64 bytes from 192.168.100.1:
64 bytes from 192.168.100.1:
64 bytes from 192.168.100.1:
"C

icmp_seqg=1 ttl=64 time=0.062 ms
icmp_seq=2 ttl=64 time=0.148 ms
icmp_seq=3 ttl=64 time=0.149 ms
icmp_seq=4 ttI=64 time=0.147 ms

discovery-debug is from discovered host attached. Please note with PXE-based discovery | didn't find issue with hostname resolution. And In case of
pxeless, Provisioning works if | change the server name with IP in the URL setup screen.

#6 - 10/06/2015 10:22 AM - Sachin Ghai

- File discovery_debug2.txt added

discover-debug after making change to kexec. | can ping to server via hostname from discovered host

#7 - 10/07/2015 06:06 AM - Sachin Ghai

- File fetch_image.png added

Another update:

| replaced /usr/bin/kexec with dummy executable script. That holds the provisioning. here is the screen shot where | can fetch the image with server's

hostname.

#8 - 10/07/2015 06:07 AM - Sachin Ghai

- File refetch_image.png added

| can fetched image even after triggering provisioning from webUI. Looks like still not able to catch the real issue.

#9 - 10/08/2015 05:21 AM - The Foreman Bot

- Status changed from Need more information to Ready For Testing

- Pull request https://github.com/theforeman/foreman_discovery/pull/222 added

- Pull request deleted ()

#10 - 10/13/2015 10:04 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed
